Bug 305491 - Review Request: gtk-bluecurve-engine - GTK+ bluecurve engine
Review Request: gtk-bluecurve-engine - GTK+ bluecurve engine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ArtworkSplit
  Show dependency treegraph
 
Reported: 2007-09-25 12:57 EDT by Ray Strode [halfline]
Modified: 2014-03-16 23:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-30 13:39:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
notting: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2007-09-25 12:57:28 EDT
Spec URL:
http://rstrode.fedorapeople.org/gtk-bluecurve-engine/checkout/gtk-bluecurve-engine.spec

SRPM URL:
http://rstrode.fedorapeople.org/gtk-bluecurve-engine/checkout/gtk-bluecurve-engine-1.0.0-1.fc8.src.rpm

Description:
This is a GTK+ theme engine that supports the Bluecurve theme.
Comment 1 Ray Strode [halfline] 2007-09-25 12:59:22 EDT
retitling...
Comment 2 Bill Nottingham 2007-09-25 13:37:22 EDT
MUST ITEMS
 - Package meets naming and packaging guidelines - OK
 - Spec file matches base package name. - OK
 - Spec has consistant macro usage. - OK
 - Meets Packaging Guidelines. - OK
 - License - OK
 - License field in spec matches - ***

Should probably be 'LGPLv2+'. Source could stand a few more license blurbs,
but... eh.

 - License file included in package - OK
 - Spec in American English - OK
 - Spec is legible. - OK
 - Sources match upstream md5sum: - ***

No upstream found. Not a blocker, but is nice to have.

 - Package needs ExcludeArch - N/A
 - BuildRequires correct - OK
 - Spec handles locales/find_lang - OK
 - Package is relocatable and has a reason to be. - N/A
 - Package has %defattr and permissions on files is good. - OK
 - Package has a correct %clean section. - OK
 - Package has correct buildroot - OK
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 - Package is code or permissible content. - OK
 - Doc subpackage needed/used. - N/A
 - Packages %doc files don't affect runtime. - OK

 - Headers/static libs in -devel subpackage. - N/A
 - Spec has needed ldconfig in post and postun - N/A
 - .pc files in -devel subpackage/requires pkgconfig - N/A
 - .so files in -devel subpackage. - N/A
 - -devel package Requires: %{name} = %{version}-%{release} - N/A
 - .la files are removed. - OK
 
 - Package compiles and builds on at least one arch. - OK (tested x86_64, i386)
 - Package has no duplicate files in %files. - OK
 - Package doesn't own any directories other packages own. - OK
 - Package owns all the directories it creates. - OK
 - No rpmlint output. - ***

gtk-bluecurve-engine-1.0.0-1.fc8.src.rpm gtk-bluecurve-engine.src: W:
invalid-license LGPL

Already covered.


gtk-bluecurve-engine.x86_64: E: zero-length
/usr/share/doc/gtk-bluecurve-engine-1.0.0/NEWS
gtk-bluecurve-engine.x86_64: E: zero-length
/usr/share/doc/gtk-bluecurve-engine-1.0.0/ChangeLog
gtk-bluecurve-engine.x86_64: E: zero-length
/usr/share/doc/gtk-bluecurve-engine-1.0.0/README
gtk-bluecurve-engine.x86_64: W: invalid-license LGPL

Could remove the zero-length files if you want.

 - final provides and requires are sane: - ***

'Requires: gtk2' seems superfluous

SHOULD Items:

 - Should build in mock. - can't test, mock is broken. *Sigh*
 - Should build on all supported archs - tested i386, x86_64
 - Should function as described. - ***

Should the gtkrc bits live in this package too?

 - Should have sane scriptlets. - N/A
 - Should have dist tag - OK
 - Should package latest version - couldn't tell


Fixing the license tag is the big thing. Is this going to have an upstream repo
at some point?
Comment 3 Bill Nottingham 2007-09-25 13:42:26 EDT
Doesn't actually build in mock:

checking for perl... /usr/bin/perl
checking for XML::Parser... configure: error: XML::Parser perl module is
required for intltool
error: Bad exit status from /var/tmp/rpm-tmp.30235 (%build)

Comment 4 Ray Strode [halfline] 2007-09-25 14:26:15 EDT
Okay those issues should be fixed now.

Jeremy is going to do a mass import on hosted.fedoraproject.org for the various
packages.  Failing that, I would just put things on elvis.
Comment 5 Bill Nottingham 2007-09-25 15:58:51 EDT
OK. Approved as is, but I wonder if this and 30551 should be rolled into one
package.
Comment 6 Ray Strode [halfline] 2007-09-30 13:39:18 EDT
Okay, i've rolled gtk-bluecurve-engine into the bluecurve-gtk-themes tarball.

Note You need to log in before you can comment on or make changes to this bug.